
Redmine - Feature #3957

Ajax file upload with progress bar

2009-10-01 23:38 - Yoann Besson

Status: Closed Start date: 2009-10-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

An Ajax File Upload module with progress bar for large file upload should be a great feature, since we need to upload large release

files.

Related issues:

Related to Redmine - Feature #9086: Show attachments when in edit/preview mode Closed 2011-08-18

Related to Redmine - Defect #16111: Redmine should accept changes to an issue... Closed

Related to Redmine - Feature #6337: Cancel Upload a file of the list - Files ... Closed 2010-09-09

Has duplicate Redmine - Feature #5889: Progress bar for large file uploads Closed 2010-07-15

Has duplicate Redmine - Feature #1215: Progress Bar for File Uploads Closed 2008-05-08

Has duplicate Redmine - Feature #12337: Add async file upload support Closed

Associated revisions

Revision 10977 - 2012-12-10 21:09 - Jean-Philippe Lang

Merged ajax_upload branch (#3957).

History

#1 - 2010-03-03 12:07 - Dave Lowndes

+1

A file repository for (software) project management tool can expect large files (design mockups, release archives) so something other than the scary

browser "loading" for 15mins while a large file uploads would be ideal.

#2 - 2011-03-24 10:51 - Toshi MARUYAMA

- Category set to UI

#3 - 2012-05-22 23:23 - ex vito

Note that #5889 seems to be a dup.

#4 - 2012-05-23 14:24 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2012-06-27 13:28 - Anton Gillert

+1

#6 - 2012-06-27 19:31 - Rafi Greenberg

+1

#7 - 2012-07-29 23:06 - Johannes Pfeifer

+1

#8 - 2012-11-24 13:05 - Jean-Philippe Lang

- Subject changed from Ajax File Upload Module for Large File Upload to Ajax file upload with progress bar

- Category changed from UI to Attachments
- Target version changed from Candidate for next major release to 2.3.0

#9 - 2012-12-11 10:12 - Etienne Massip

This feature has been implemented and merged into trunk with r10977 but would require some feedback from the community if you can to make sure

it doesn't break with some browser versions we've not been able to test with.

Thanks for your time if you can!

#10 - 2012-12-13 15:32 - Daniel Felix

- File ajaxUploadDefect.png added

Hi Etienne,

I just tested r10989 with Internet Explorer 9.0.8 Update 9.0.11.

In my upload, I haven't seen any Ajax-Upload mechanismn. The preview of my attachment hasn't displayed any image. The same after submitting this

attachment (See Screenshot).

// EDIT

I tried this again with some 12 MB Upload Files, but there wasn't any Progressbar, just the loading Symbol from IE itself.

#11 - 2012-12-13 16:44 - Etienne Massip

Daniel Felix wrote:

Hi Etienne,

I just tested r10989 with Internet Explorer 9.0.8 Update 9.0.11.

In my upload, I haven't seen any Ajax-Upload mechanismn. The preview of my attachment hasn't displayed any image. The same after

submitting this attachment (See Screenshot).

// EDIT

I tried this again with some 12 MB Upload Files, but there wasn't any Progressbar, just the loading Symbol from IE itself.

 There is an issue since few days on trunk with preview which doesn't show when creating a new issue but it's not related to this feature

implementation.

I think I forgot to mention some important precision: it won't work with IE8 or IE9 because these browsers do not support the File API, so Redmine

degrades gracefully to the standard upload-on-submit behavior in this case =)

IE10 should support it but unfortunately I don't have any IE10 to test :|

Thank you for testing anyway !

#12 - 2013-01-12 09:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Ajax upload tested OK with IE10.0.

#13 - 2015-03-08 03:34 - Go MAEDA

- Related to Defect #9383: Allow manage attachment(s) before submit added

#14 - 2015-03-08 03:35 - Go MAEDA

- Related to deleted (Defect #9383: Allow manage attachment(s) before submit)

#15 - 2015-04-05 01:35 - Go MAEDA

- Related to Feature #9086: Show attachments when in edit/preview mode added

#16 - 2016-01-31 03:07 - Go MAEDA

- Has duplicate Feature #12337: Add async file upload support  added

#17 - 2016-05-10 10:05 - Go MAEDA

- Related to Defect #16111: Redmine should accept changes to an issue even when an error prevents an attachment upload added

2024-03-13 2/3

https://www.redmine.org/projects/redmine/repository/svn/revisions/10977
https://www.redmine.org/projects/redmine/repository/svn/revisions/10989
https://www.redmine.org/projects/redmine/repository/svn/revisions/10989


#18 - 2016-08-21 07:40 - Go MAEDA

- Related to Feature #6337: Cancel Upload a file of the list - Files Section added

Files
